Bug 983774 - Review Request: xmp-plugin-audacious - A multi-format module playback plugin for Audacious
Review Request: xmp-plugin-audacious - A multi-format module playback plugin ...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Schwendt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-11 19:51 EDT by Dominik 'Rathann' Mierzejewski
Modified: 2013-08-31 13:04 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-31 13:04:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bugs.michael: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dominik 'Rathann' Mierzejewski 2013-07-11 19:51:36 EDT
Spec URL: http://rathann.fedorapeople.org/review/xmp-plugin-audacious/xmp-plugin-audacious.spec
SRPM URL: http://rathann.fedorapeople.org/review/xmp-plugin-audacious/xmp-plugin-audacious-4.0.0-0.1.8c492d7.fc19.src.rpm
Description: 
Libxmp is a library that renders module files to PCM data. It supports
over 90 mainstream and obscure module formats including Protracker (MOD),
Scream Tracker 3 (S3M), Fast Tracker II (XM), and Impulse Tracker (IT).

Many compressed module formats are supported, including popular Unix, DOS,
and Amiga file packers including gzip, bzip2, SQSH, Powerpack, etc.

This package contains the xmp plugin for the Audacious media player.

Fedora Account System Username: rathann
Comment 1 Michael Schwendt 2013-07-15 10:47:26 EDT
> Provides: audacious-plugin-xmp = %{version}-%{release}
> Obsoletes: audacious-plugin-xmp <= 3.5.0-3

The "Obsoletes" tag is not high enough. It must be

  Obsoletes: audacious-plugin-xmp < 3.5.0-4
or
  Obsoletes: audacious-plugin-xmp <= 3.5.0-3.fc20  (with hardcoded .fc20!)

because the last build of that package has been a subpackage of xmp-3.5.0-3.fc20 (also for .fc19 and .fc18).


The "Provides" shall be kept to meet the requirements of the "Addon Packages (General) Naming Guidelines": https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Addon_Packages_.28General.29

Those guidelines aren't too precise, however, since for Audacious the %{parent} name may be "audacious" as well as "audacious-plugins". There's no requirement for a separate plugin to use the audacious-plugins- prefix.

It would be an opportunity to s/plugin/plugins/ in the "Provides", however.


> License: GPLv2+

Confirmed.


> %description
> ...
> and Amiga file packers including gzip, bzip2, SQSH, Powerpack, etc.

"PowerPacker" is its name.
( http://rewiki.regengedanken.de/wiki/Amiga_PowerPacker )


> Summary: A multi-format module playback plugin for Audacious using libxmp

In package installers, which display these summaries, it looks better
(and more concise) when omitting these leading articles:

  Summary: Multi-format module playback plugin for Audacious using libxmp

https://fedoraproject.org/wiki/Examples_of_good_package_summaries



Any fixes can be applied in pkg git.

APPROVED
Comment 2 Dominik 'Rathann' Mierzejewski 2013-07-16 08:56:46 EDT
New Package SCM Request
=======================
Package Name: xmp-plugin-audacious
Short Description: Multi-format module playback plugin for Audacious using libxmp
Owners: rathann
Branches: f19
InitialCC:
Comment 3 Dominik 'Rathann' Mierzejewski 2013-07-16 08:58:23 EDT
Thanks for the quick review, Michael. I'll fix the issues you highlighted before building. Feel free to apply for co-maintainer status once this is added to PkgDB.
Comment 4 Gwyn Ciesla 2013-07-16 09:31:04 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.